umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_autolayoutoptionpage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/pages/autolayoutoptionpage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_AutoLayoutOptionPage_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_AutoLayoutOptionPage_t | qt_meta_stringdata_AutoLayoutOptionPage
static const uint | qt_meta_data_AutoLayoutOptionPage []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_AutoLayoutOptionPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_AutoLayoutOptionPage_t
Definition: moc_autolayoutoptionpage.cpp:24

## Variable Documentation

## ◆ qt_meta_data_AutoLayoutOptionPage

const uint qt_meta_data_AutoLayoutOptionPage[]
| static

Initial value:
= {
8,
0,
0, 0,
2, 14,
0, 0,
0, 0,
0, 0,
0,
1,
1, 0, 24, 2, 0x06 ,
3, 1, 25, 2, 0x09 ,
QMetaType::Void,
QMetaType::Void, QMetaType::Bool, 4,
0
}

## ◆ qt_meta_stringdata_AutoLayoutOptionPage

const qt_meta_stringdata_AutoLayoutOptionPage_t qt_meta_stringdata_AutoLayoutOptionPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 20),
QT_MOC_LITERAL(1, 21, 12),
QT_MOC_LITERAL(2, 34, 0),
QT_MOC_LITERAL(3, 35, 24),
QT_MOC_LITERAL(4, 60, 5)
},
"AutoLayoutOptionPage\0applyClicked\0\0"
"slotAutoDotPathCBClicked\0value"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_autolayoutoptionpage.cpp:28